Debian Bug report logs - #494144
Checking versions of the symbols in modules

version graph

Package: linux-image-2.6.26-1-686; Maintainer for linux-image-2.6.26-1-686 is (unknown);

Reported by: Jordi Pujol <jordipujolp@gmail.com>

Date: Thu, 7 Aug 2008 13:27:02 UTC

Severity: minor

Found in version 2.6.26-1-686

Fixed in version linux-2.6/2.6.26-6

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494144; Package linux-image-2.6.26-1-686. Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: submit@bugs.debian.org
Subject: Checking versions of the symbols in modules
Date: Thu, 7 Aug 2008 15:23:03 +0200
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.26-1-686
Version: 2.6.26-1-686
Severity: normal

Hello,

I have a problem with kernel version 2.6.26, that I consider that could be a 
bug.

summary:
In a kernel already compiled, we install new modules, some of that depend of 
the others. 
after starting that kernel, the module who has the dependencies can not find 
the symbols that uses from the first module, and does not load.

Full description:  
In a kernel already compiled, we install new modules, some of them depending 
from the others.  
In this case the modules are lzma and squashfs-lzma  
after loading the module lzma we verify in /proc/kallsyms that the symbols 
have been exported and correctly noted. 
When we try to load the module squashfs that depends on the symbols of sqlzma, 
the kernel responds:
no symbol version for sqlzma_init
Unknown symbol sqlzma_init 
no symbol version for sqlzma_un 
Unknown symbol sqlzma_un 
no symbol version for sqlzma_fin 
Unknown symbol sqlzma_fin

workaround:
my first solution was to compile a kernel with MODULE_FORCE_LOADING enabled, 
and forcing modprobe to do that. That works,

in this case is a recompilation to enable MODULE_FORCE_LOADING.
Linux version 2.6.26.1-686-jp2 (root@pcjordi) (gcc version 4.3.1 (Debian 
4.3.1-2) ) #1 SMP PREEMPT Tue Aug 5 11:34:33 CEST 2008

a good solution is done modifying the kernel source,
inspecting the source "module.c", can be appreciated differences with the 
version 2.6.25 in the routine "check_version", so that previously has 
returned "1=OK" when the version for a symbol was not found, but in this 
routine, version 2.6.26 returns "0=error".  
Works well after modifying some lines of module.c

Attached is proposed a patch to module.c

P.D. lzma is from the sid repository of Debian, and squashfs-lzma is my own 
development, based in previous versions of squashfs with lzma support, 

Thanks,

Jordi Pujol
[linux-2.6.26-kernel-module.c.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494144; Package linux-image-2.6.26-1-686. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 494144@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: control@bugs.debian.org, 494144@bugs.debian.org, jordipujolp@gmail.com
Subject: Significant problem
Date: Wed, 10 Sep 2008 16:28:02 +0200
severity 494144 serious
thanks

I think we have a very severe problem here that must be fixed before Lenny is
released. There may be a solution around that I don't know or see that lies
outside of the kernel and thus the bug should be reassigned, but still I think
this needs a fix before the release.

Now to my reasoning, :

Jordi already pointed out there was a change in kernel
behaviour with 2.6.26 in that the kernel default when not finding symbol
version information. Up to kernel 2.6.25 the kernel called itself tainted and
accepted the module. Since 2.6.26. the kernel throws an error. There is,
however, a way to insmod modules without version information, namely by using
"modprobe --force". But this is no longer possible because the kernel is
compiled without setting CONFIG_MODULE_FORCE_LOAD.

This has an effect for all out-of-tree modules, I stumbled upon it by looking
at virtualbox-ose-guest-modules. There simply appears to be no way at all to
include the vboxvfs module which depends on the vboxadd module.

I might be wrong and like to hear what I missed, but if I didn't miss anything
we are in must-fix situation.

Michael

-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
       Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Severity set to `serious' from `normal' Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 15:06:13 GMT) Full text and rfc822 format available.

Severity set to `minor' from `serious' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 15:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494144; Package linux-image-2.6.26-1-686. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 494144@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Jordi Pujol <jordipujolp@gmail.com>, 494144@bugs.debian.org
Subject: Re: Bug#494144: Checking versions of the symbols in modules
Date: Wed, 10 Sep 2008 18:00:46 +0200
On Thu, Aug 07, 2008 at 03:23:03PM +0200, Jordi Pujol wrote:
> In a kernel already compiled, we install new modules, some of that depend of 
> the others. 
> after starting that kernel, the module who has the dependencies can not find 
> the symbols that uses from the first module, and does not load.

Yes, you don't provide the correct set of symbol versions for the build
of the second module. You even should get a warning from modpost.

> a good solution is done modifying the kernel source,

No.

If you want a real solution, please start with linux-modules-extra-2.6
and add support to save the Module.symvers somewhere in the package and
use them to get correct versions in dependant packages.

Bastian

-- 
Four thousand throats may be cut in one night by a running man.
		-- Klingon Soldier, "Day of the Dove", stardate unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494144; Package linux-image-2.6.26-1-686. Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 494144@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: 494144@bugs.debian.org
Subject: Re: Bug#494144: Checking versions of the symbols in modules
Date: Wed, 10 Sep 2008 21:12:53 +0200
El Wednesday 10 September 2008 18:00:46 Bastian Blank va escriure:
> If you want a real solution, please start with linux-modules-extra-2.6
> and add support to save the Module.symvers somewhere in the package and
> use them to get correct versions in dependant packages.

thanks, I will try that,

nevertheless consider activating the config option to force loading of 
modules, so that the Debian kernel complies with the guidelines of operation 
following:

Modules without symbol version information can only be loaded on the
exact kernel version for which they were compiled. Modules with symbol
version information can be loaded into more recent kernels as long as
none of the symbols exported by the kernel have changed. This provides
a reasonable level of confidence but does not guarantee that the module
will work.
Authors:  Linus Torvalds <torvalds@transmeta.com>


Jordi,




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494144; Package linux-image-2.6.26-1-686. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 494144@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Jordi Pujol <jordipujolp@gmail.com>, 494144@bugs.debian.org
Subject: Re: Bug#494144: Checking versions of the symbols in modules
Date: Fri, 12 Sep 2008 14:21:57 +0200
On Wed, Sep 10, 2008 at 09:12:53PM +0200, Jordi Pujol wrote:
> nevertheless consider activating the config option to force loading of 
> modules,

Yeah, looks like the easiest solution.

>          so that the Debian kernel complies with the guidelines of operation 
> following:

This is not longer true after 826e4506a0acb6487910a5ebafe839f708a00e1c
and a5dd69707424a35d2d2cc094e870f595ad61e916.

Bastian

-- 
We do not colonize.  We conquer.  We rule.  There is no other way for us.
		-- Rojan, "By Any Other Name", stardate 4657.5




Tags added: pending Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 19:27:03 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Wed, 24 Sep 2008 13:33:06 GMT) Full text and rfc822 format available.

Notification sent to Jordi Pujol <jordipujolp@gmail.com>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 13:33:06 GMT) Full text and rfc822 format available.

Message #36 received at 494144-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 494144-close@bugs.debian.org
Subject: Bug#494144: fixed in linux-2.6 2.6.26-6
Date: Wed, 24 Sep 2008 13:03:01 +0000
Source: linux-2.6
Source-Version: 2.6.26-6

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-6.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-6.diff.gz
linux-2.6_2.6.26-6.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-6.dsc
linux-doc-2.6.26_2.6.26-6_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.26_2.6.26-6_all.deb
linux-headers-2.6.26-1-all-powerpc_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all-powerpc_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-all_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-common-vserver_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common-vserver_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-common_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
linux-image-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
linux-image-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
linux-image-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
linux-libc-dev_2.6.26-6_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.26-6_powerpc.deb
linux-manual-2.6.26_2.6.26-6_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.26_2.6.26-6_all.deb
linux-patch-debian-2.6.26_2.6.26-6_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-6_all.deb
linux-source-2.6.26_2.6.26-6_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.26_2.6.26-6_all.deb
linux-support-2.6.26-1_2.6.26-6_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.26-1_2.6.26-6_all.deb
linux-tree-2.6.26_2.6.26-6_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.26_2.6.26-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Sep 2008 12:06:47 +0200
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-1 linux-libc-dev linux-headers-2.6.26-1-all linux-headers-2.6.26-1-all-alpha linux-headers-2.6.26-1-common linux-image-2.6.26-1-alpha-generic linux-headers-2.6.26-1-alpha-generic linux-image-2.6.26-1-alpha-smp linux-headers-2.6.26-1-alpha-smp linux-image-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-all-amd64 linux-image-2.6.26-1-amd64 linux-headers-2.6.26-1-amd64 linux-headers-2.6.26-1-common-openvz linux-image-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-common-vserver linux-image-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-all-arm linux-image-2.6.26-1-footbridge linux-headers-2.6.26-1-footbridge linux-image-2.6.26-1-iop32x linux-headers-2.6.26-1-iop32x linux-image-2.6.26-1-ixp4xx linux-headers-2.6.26-1-ixp4xx linux-image-2.6.26-1-orion5x linux-headers-2.6.26-1-orion5x linux-headers-2.6.26-1-all-armel linux-image-2.6.26-1-versatile linux-headers-2.6.26-1-versatile linux-headers-2.6.26-1-all-hppa linux-image-2.6.26-1-parisc linux-headers-2.6.26-1-parisc linux-image-2.6.26-1-parisc-smp linux-headers-2.6.26-1-parisc-smp linux-image-2.6.26-1-parisc64 linux-headers-2.6.26-1-parisc64 linux-image-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-all-i386 linux-image-2.6.26-1-486 linux-headers-2.6.26-1-486 linux-image-2.6.26-1-686 linux-headers-2.6.26-1-686 linux-image-2.6.26-1-686-bigmem linux-headers-2.6.26-1-686-bigmem linux-image-2.6.26-1-openvz-686 linux-headers-2.6.26-1-openvz-686 linux-image-2.6.26-1-vserver-686 linux-headers-2.6.26-1-vserver-686 linux-image-2.6.26-1-vserver-686-bigmem linux-headers-2.6.26-1-vserver-686-bigmem linux-headers-2.6.26-1-common-xen linux-image-2.6.26-1-xen-686 linux-modules-2.6.26-1-xen-686 linux-headers-2.6.26-1-xen-686 linux-headers-2.6.26-1-all-ia64 linux-image-2.6.26-1-itanium linux-headers-2.6.26-1-itanium linux-image-2.6.26-1-mckinley linux-headers-2.6.26-1-mckinley linux-image-2.6.26-1-vserver-itanium linux-headers-2.6.26-1-vserver-itanium linux-image-2.6.26-1-vserver-mckinley linux-headers-2.6.26-1-vserver-mckinley linux-headers-2.6.26-1-all-m68k linux-image-2.6.26-1-amiga linux-headers-2.6.26-1-amiga linux-image-2.6.26-1-atari linux-headers-2.6.26-1-atari linux-image-2.6.26-1-bvme6000 linux-headers-2.6.26-1-bvme6000 linux-image-2.6.26-1-mac linux-headers-2.6.26-1-mac linux-image-2.6.26-1-mvme147 linux-headers-2.6.26-1-mvme147 linux-image-2.6.26-1-mvme16x linux-headers-2.6.26-1-mvme16x linux-headers-2.6.26-1-all-mips linux-image-2.6.26-1-r4k-ip22 linux-headers-2.6.26-1-r4k-ip22 linux-image-2.6.26-1-r5k-ip32 linux-headers-2.6.26-1-r5k-ip32 linux-image-2.6.26-1-sb1-bcm91250a linux-headers-2.6.26-1-sb1-bcm91250a linux-image-2.6.26-1-sb1a-bcm91480b linux-headers-2.6.26-1-sb1a-bcm91480b linux-image-2.6.26-1-4kc-malta linux-headers-2.6.26-1-4kc-malta linux-image-2.6.26-1-5kc-malta linux-headers-2.6.26-1-5kc-malta linux-headers-2.6.26-1-all-mipsel linux-image-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-all-powerpc linux-image-2.6.26-1-powerpc linux-headers-2.6.26-1-powerpc linux-image-2.6.26-1-powerpc-smp linux-headers-2.6.26-1-powerpc-smp linux-image-2.6.26-1-powerpc64 linux-headers-2.6.26-1-powerpc64 linux-image-2.6.26-1-vserver-powerpc linux-headers-2.6.26-1-vserver-powerpc linux-image-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-all-s390 linux-image-2.6.26-1-s390 linux-headers-2.6.26-1-s390 linux-image-2.6.26-1-s390-tape linux-image-2.6.26-1-s390x linux-headers-2.6.26-1-s390x linux-image-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-all-sparc linux-image-2.6.26-1-sparc64 linux-headers-2.6.26-1-sparc64 linux-image-2.6.26-1-sparc64-smp linux-headers-2.6.26-1-sparc64-smp linux-image-2.6.26-1-vserver-sparc64 linux-headers-2.6.26-1-vserver-sparc64
Architecture: source all powerpc
Version: 2.6.26-6
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-1-486 - Header files for Linux 2.6.26-1-486
 linux-headers-2.6.26-1-4kc-malta - Header files for Linux 2.6.26-1-4kc-malta
 linux-headers-2.6.26-1-5kc-malta - Header files for Linux 2.6.26-1-5kc-malta
 linux-headers-2.6.26-1-686 - Header files for Linux 2.6.26-1-686
 linux-headers-2.6.26-1-686-bigmem - Header files for Linux 2.6.26-1-686-bigmem
 linux-headers-2.6.26-1-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-alpha-generic - Header files for Linux 2.6.26-1-alpha-generic
 linux-headers-2.6.26-1-alpha-legacy - Header files for Linux 2.6.26-1-alpha-legacy
 linux-headers-2.6.26-1-alpha-smp - Header files for Linux 2.6.26-1-alpha-smp
 linux-headers-2.6.26-1-amd64 - Header files for Linux 2.6.26-1-amd64
 linux-headers-2.6.26-1-amiga - Header files for Linux 2.6.26-1-amiga
 linux-headers-2.6.26-1-atari - Header files for Linux 2.6.26-1-atari
 linux-headers-2.6.26-1-bvme6000 - Header files for Linux 2.6.26-1-bvme6000
 linux-headers-2.6.26-1-common - Common header files for Linux 2.6.26-1
 linux-headers-2.6.26-1-common-openvz - Common header files for Linux 2.6.26-1-openvz
 linux-headers-2.6.26-1-common-vserver - Common header files for Linux 2.6.26-1-vserver
 linux-headers-2.6.26-1-common-xen - Common header files for Linux 2.6.26-1-xen
 linux-headers-2.6.26-1-footbridge - Header files for Linux 2.6.26-1-footbridge
 linux-headers-2.6.26-1-iop32x - Header files for Linux 2.6.26-1-iop32x
 linux-headers-2.6.26-1-itanium - Header files for Linux 2.6.26-1-itanium
 linux-headers-2.6.26-1-ixp4xx - Header files for Linux 2.6.26-1-ixp4xx
 linux-headers-2.6.26-1-mac - Header files for Linux 2.6.26-1-mac
 linux-headers-2.6.26-1-mckinley - Header files for Linux 2.6.26-1-mckinley
 linux-headers-2.6.26-1-mvme147 - Header files for Linux 2.6.26-1-mvme147
 linux-headers-2.6.26-1-mvme16x - Header files for Linux 2.6.26-1-mvme16x
 linux-headers-2.6.26-1-openvz-686 - Header files for Linux 2.6.26-1-openvz-686
 linux-headers-2.6.26-1-openvz-amd64 - Header files for Linux 2.6.26-1-openvz-amd64
 linux-headers-2.6.26-1-orion5x - Header files for Linux 2.6.26-1-orion5x
 linux-headers-2.6.26-1-parisc - Header files for Linux 2.6.26-1-parisc
 linux-headers-2.6.26-1-parisc-smp - Header files for Linux 2.6.26-1-parisc-smp
 linux-headers-2.6.26-1-parisc64 - Header files for Linux 2.6.26-1-parisc64
 linux-headers-2.6.26-1-parisc64-smp - Header files for Linux 2.6.26-1-parisc64-smp
 linux-headers-2.6.26-1-powerpc - Header files for Linux 2.6.26-1-powerpc
 linux-headers-2.6.26-1-powerpc-smp - Header files for Linux 2.6.26-1-powerpc-smp
 linux-headers-2.6.26-1-powerpc64 - Header files for Linux 2.6.26-1-powerpc64
 linux-headers-2.6.26-1-r4k-ip22 - Header files for Linux 2.6.26-1-r4k-ip22
 linux-headers-2.6.26-1-r5k-cobalt - Header files for Linux 2.6.26-1-r5k-cobalt
 linux-headers-2.6.26-1-r5k-ip32 - Header files for Linux 2.6.26-1-r5k-ip32
 linux-headers-2.6.26-1-s390 - Header files for Linux 2.6.26-1-s390
 linux-headers-2.6.26-1-s390x - Header files for Linux 2.6.26-1-s390x
 linux-headers-2.6.26-1-sb1-bcm91250a - Header files for Linux 2.6.26-1-sb1-bcm91250a
 linux-headers-2.6.26-1-sb1a-bcm91480b - Header files for Linux 2.6.26-1-sb1a-bcm91480b
 linux-headers-2.6.26-1-sparc64 - Header files for Linux 2.6.26-1-sparc64
 linux-headers-2.6.26-1-sparc64-smp - Header files for Linux 2.6.26-1-sparc64-smp
 linux-headers-2.6.26-1-versatile - Header files for Linux 2.6.26-1-versatile
 linux-headers-2.6.26-1-vserver-686 - Header files for Linux 2.6.26-1-vserver-686
 linux-headers-2.6.26-1-vserver-686-bigmem - Header files for Linux 2.6.26-1-vserver-686-bigmem
 linux-headers-2.6.26-1-vserver-amd64 - Header files for Linux 2.6.26-1-vserver-amd64
 linux-headers-2.6.26-1-vserver-itanium - Header files for Linux 2.6.26-1-vserver-itanium
 linux-headers-2.6.26-1-vserver-mckinley - Header files for Linux 2.6.26-1-vserver-mckinley
 linux-headers-2.6.26-1-vserver-powerpc - Header files for Linux 2.6.26-1-vserver-powerpc
 linux-headers-2.6.26-1-vserver-powerpc64 - Header files for Linux 2.6.26-1-vserver-powerpc64
 linux-headers-2.6.26-1-vserver-s390x - Header files for Linux 2.6.26-1-vserver-s390x
 linux-headers-2.6.26-1-vserver-sparc64 - Header files for Linux 2.6.26-1-vserver-sparc64
 linux-headers-2.6.26-1-xen-686 - Header files for Linux 2.6.26-1-xen-686
 linux-image-2.6.26-1-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-1-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-1-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-1-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-1-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-1-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-1-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-1-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-1-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-1-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-1-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-1-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-1-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-1-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-1-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-1-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-1-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-1-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-1-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-1-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-1-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-1-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-1-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-1-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-1-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-1-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-1-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-1-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-1-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-1-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-1-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-1-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-1-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-1-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-1-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-1-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-1-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-1-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-1-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-1-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-1-vserver-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-1-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-1-xen-686 - Linux 2.6.26 image on i686
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-1-xen-686 - Linux 2.6.26 modules on i686
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-1 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
Closes: 470528 476120 494144 497292 497971 499458
Changes: 
 linux-2.6 (2.6.26-6) unstable; urgency=low
 .
   [ maximilian attems ]
   * [openvz] Enable checkpointing. (closes: #497292)
 .
   [ Bastian Blank ]
   * Allow forced module loading again. (closes: #494144)
   * Set IEEE 802.11 (wireless) regulatory domain default to EU.
     (closes: #497971)
   * [i386] Enable IDE ACPI support. Override ABI changes. (closes: #470528)
   * [i386/686-bigmem] Promote to generic subarch. (closes: #476120)
 .
   [ Martin Michlmayr ]
   * Fix dead 21041 ethernet after ifconfig down (Thomas Bogendoerfer).
 .
   [ dann frazier ]
   * [hppa] Enable the FPU before using it, fixes booting on A500s
     with our CONFIG_PRINTK_TIME=y setting. (closes: #499458)
Checksums-Sha1: 
 13aa00360a6d4cc817d91605a7015d8032c5aac9 5585 linux-2.6_2.6.26-6.dsc
 45d3a48922009463f209ccde7cf51ccae972b28b 6423031 linux-2.6_2.6.26-6.diff.gz
 6f02a35ae21215905d184b8ebe2061428b6340eb 4611364 linux-doc-2.6.26_2.6.26-6_all.deb
 ba94d022cd448afb3ca75f050cac8abebac9cbff 1760776 linux-manual-2.6.26_2.6.26-6_all.deb
 9d34179eefb7b18f8c5cc6d949f59ca1bea31945 1219440 linux-patch-debian-2.6.26_2.6.26-6_all.deb
 be79097f45b29b1a3f767780ad52b648fe6d4a33 48419640 linux-source-2.6.26_2.6.26-6_all.deb
 97ef8ecb5aee03cdd5161a5576b6e9c56c1cb475 110840 linux-support-2.6.26-1_2.6.26-6_all.deb
 f1a86a474ba6f2a30eeac2fa5a38c882b6f702ab 95528 linux-tree-2.6.26_2.6.26-6_all.deb
 ed64f82c983f005706eee351f35184cc8ddf9e05 22994594 linux-image-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
 d577121c39492f19c89aafdcabcf87f488bf737e 348212 linux-headers-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
 cad90f1ad1f6ca2fabc271e3c1a4de07957f957c 23385062 linux-image-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
 9a46d13ec756cd2a45e13fca93031485f598e94a 349554 linux-headers-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
 633ff82baf2273fc3eec024a0a42ef35de5427df 23236084 linux-image-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
 80424ab4fb06943404ec135e560595eacb0b224b 355460 linux-headers-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
 daa901124b043dfecf9ce5bd71c945af5348d70b 3764216 linux-headers-2.6.26-1-common_2.6.26-6_powerpc.deb
 d7ecc3ad40832e5d7a258b11292a944290143159 95144 linux-headers-2.6.26-1-all_2.6.26-6_powerpc.deb
 0b647e6874d99f1e1ab13f9b283a5ec47cad2ba8 95176 linux-headers-2.6.26-1-all-powerpc_2.6.26-6_powerpc.deb
 edfd14f126b3527c7999ccbf94b5f815aba93bbe 731586 linux-libc-dev_2.6.26-6_powerpc.deb
 957443d32d0597b1b76ed2bdae57642c325a920a 23418894 linux-image-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
 a50946bc8726a24d6d94a3810ce54fae7b42551e 350594 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
 f78081d1523eb514eed2e491b3b53abf836b9d9d 23287176 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
 a24960f4ed5c435c7df395ce3494ad5d8e121a77 356070 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
 adb84625d7afc584cc16bf6a0c3b36335f397fce 3796754 linux-headers-2.6.26-1-common-vserver_2.6.26-6_powerpc.deb
Checksums-Sha256: 
 0f1b5b3d2b70ea52997c4486d8b8b3c33f61082bbb10db96f8e70e17964c7f02 5585 linux-2.6_2.6.26-6.dsc
 68229e8cf20e961015aad466effa234ed9a23f0bfd504392d3d8132ea1719b92 6423031 linux-2.6_2.6.26-6.diff.gz
 4904ef1436c09683f21bd9b9b1f18fad98694e547e1c6d4155bb3db74447865f 4611364 linux-doc-2.6.26_2.6.26-6_all.deb
 1a56637eb0f14a98a22a815759837734bbb14251f764f2cd84e0cce98efa0c96 1760776 linux-manual-2.6.26_2.6.26-6_all.deb
 c9861559bb6e361ee99fd23f0cb6090b547c099fca596fbcd18a42d5f8495795 1219440 linux-patch-debian-2.6.26_2.6.26-6_all.deb
 cfa9c24ebaa9b6fe3f99d4823c0c2fa5efb8a20ccd842c2f771ad3067c481ee9 48419640 linux-source-2.6.26_2.6.26-6_all.deb
 df5e49edaac1ac64c1d722c1b1dd9e2fd0c8b28969b1494eec46f3d7533d9589 110840 linux-support-2.6.26-1_2.6.26-6_all.deb
 dd5e5b8f362193ddc68484fa3c6769d2ed83c5a4f7e303f38cdcf9e862b1a3cd 95528 linux-tree-2.6.26_2.6.26-6_all.deb
 cf5e8de714d45c4f788de507d8bca7ce743587c13b47a9ff9cf2921dfb6b73c8 22994594 linux-image-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
 3107395e28d3a45ad33fe3fd10446e2e609accac96a63ddb68553c1f55558663 348212 linux-headers-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
 5270f620c9f409bf2b27ad91a106ce5e551e5c4df273edfc2adf6417ca1ad5da 23385062 linux-image-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
 210b738eaf616bd3cc02ccaafed08aa1e30ad27a425a579fd35efef6ff4bdf13 349554 linux-headers-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
 d588a2ccbfa4c7a47558b3ed39410b166fceb82f3cfbed2952838334150c87e9 23236084 linux-image-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
 6658d4672c3ffe3702cf2eb47d6583e8e9b94b5ad2d0ddd2c409136070cc7955 355460 linux-headers-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
 87f3add071a09614e2d84c44014ce7c25c75a99512d39b70f5dce53bf83939e6 3764216 linux-headers-2.6.26-1-common_2.6.26-6_powerpc.deb
 0c591eca696eabaf89a42d2f6380b1547b5333f735ec3454abfcb98c765448e2 95144 linux-headers-2.6.26-1-all_2.6.26-6_powerpc.deb
 821abb609cfb2c696f1a6d476757feedac4976ddf84a872d34d375f807e7edf0 95176 linux-headers-2.6.26-1-all-powerpc_2.6.26-6_powerpc.deb
 dcc4b72411b29dfcb720f9fce2fcbd3bac995e65d7ead077a773623b15639cbf 731586 linux-libc-dev_2.6.26-6_powerpc.deb
 3d02ddbafd21ccd3805307085a785a5f830469f19b1ac5b666174f6675c3aa6b 23418894 linux-image-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
 2021226de22d73ed2c0c0a4ec34c1bc00bdf739ec02a9651b5c8f3a4fa40acc2 350594 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
 4e1dec2b1242d136b0a551faaf139a2e0aacfe9ca833a7a4bc398fdfb79288c2 23287176 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
 9a0b719862e7eece351c905387b24c128555d6d08c0c306921bcf58340a11873 356070 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
 2bbc458e39ee36b977cac1b213a2bbbbf4ec04e564ba61dd62369d6f1e4645a4 3796754 linux-headers-2.6.26-1-common-vserver_2.6.26-6_powerpc.deb
Files: 
 a51c98cf172cc1ce2eb2c9b1956d4946 5585 devel optional linux-2.6_2.6.26-6.dsc
 b40e18f6fd0687850b4d0fac6a99df0e 6423031 devel optional linux-2.6_2.6.26-6.diff.gz
 b98983010e039f84caff5069f67b4bec 4611364 doc optional linux-doc-2.6.26_2.6.26-6_all.deb
 589856f77345ac5ff00fa335bd7b000d 1760776 doc optional linux-manual-2.6.26_2.6.26-6_all.deb
 0d234850ab059b783c64847022ff911a 1219440 devel optional linux-patch-debian-2.6.26_2.6.26-6_all.deb
 9f1842a8dea3cbc430421b352da88e95 48419640 devel optional linux-source-2.6.26_2.6.26-6_all.deb
 6ad1742b42e675a6249a1b16c3472f8f 110840 devel optional linux-support-2.6.26-1_2.6.26-6_all.deb
 dc053d2f740eb1a7ce1f1c2f45d88bd2 95528 devel optional linux-tree-2.6.26_2.6.26-6_all.deb
 341b91aa363fb0e12db08e39c563a9c8 22994594 admin optional linux-image-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
 10d987da3af09979f879a787c0339f37 348212 devel optional linux-headers-2.6.26-1-powerpc_2.6.26-6_powerpc.deb
 952fbedf1e7a0df9a5f916f60d93e73d 23385062 admin optional linux-image-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
 9fe2fb9005d007aaed55b80615d16fa9 349554 devel optional linux-headers-2.6.26-1-powerpc-smp_2.6.26-6_powerpc.deb
 4515bcbfdcf04521dcc1daffc87b7463 23236084 admin optional linux-image-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
 ded863991ff070078913985db96dd451 355460 devel optional linux-headers-2.6.26-1-powerpc64_2.6.26-6_powerpc.deb
 3330c9ee25d70a93bdace74b06b39c8c 3764216 devel optional linux-headers-2.6.26-1-common_2.6.26-6_powerpc.deb
 a405d32c6a9dd36c718b95c604b61597 95144 devel optional linux-headers-2.6.26-1-all_2.6.26-6_powerpc.deb
 7d4d9680af5a05816453f9e4cec6f4ad 95176 devel optional linux-headers-2.6.26-1-all-powerpc_2.6.26-6_powerpc.deb
 02bacf9fbf47432aa51bbb708db91196 731586 devel optional linux-libc-dev_2.6.26-6_powerpc.deb
 44b54df949f07993aae4f1f4d5a22900 23418894 admin optional linux-image-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
 de87a3baeca4fefe53f9cacdc3fbb6d3 350594 devel optional linux-headers-2.6.26-1-vserver-powerpc_2.6.26-6_powerpc.deb
 19c964a07bf38c5054d980f723f2441f 23287176 admin optional linux-image-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
 b3e80b4c7b4520f6243c7249898a23b4 356070 devel optional linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-6_powerpc.deb
 cdab140fc97770cba54c9b1da22d5f7b 3796754 devel optional linux-headers-2.6.26-1-common-vserver_2.6.26-6_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjaNvEACgkQxWtQqFixGB6edgCgk3OZfEx5KKVK7XM1y/NerEHL
3TAAn1f+I6SUT4YIB78CJ7k/PSzHeWRS
=1DN0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Oct 2008 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:01:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.